%define name python-wsgiref
%define srcname wsgiref
%define version 0.1.2
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: WSGI (PEP 333) Reference Library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: PSF or ZPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Phillip J. Eby <web-sig@python.org>
Url: http://cheeseshop.python.org/pypi/wsgiref

BuildRequires: python, python-devel
Requires: python

%description
This is a standalone release of the ``wsgiref`` library to be included in
Python 2.5.  For the standalone version s documentation, see:

HTML
  http://peak.telecommunity.com/wsgiref_docs/

PDF
  http://peak.telecommunity.com/wsgiref.pdf

%prep
%setup -q -n %{srcname}-%{version}

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/PKG-INFO 32bit/README.txt
%doc 32bit/docs
%{python_sitelib}/*

%changelog
* Thu Jul 24 2013 Tristan Delhalle <Tristan.Delhalle@ext.bull.net> - 0.1.2-1
- first version for AIX V6.1 and higher
